<template>
  <v-card>
    <v-img :src="this.reservedProduct.urlphoto" aspect-ratio="1.7" contain></v-img>
    <v-card-title>{{ reservedProduct.name }}</v-card-title>
    <v-card-title>Reservado</v-card-title>

    <span>precio:</span>
    <p class="font-weight-bold">{{ reservedProduct.price }} Pñ</p>

    <span>usuario:</span>
    <p class="font-weight-bold" @click="goToThisUserProfil">{{ reservedProduct.nickname }}</p>
    <div>
      <v-btn depressed small color="blue" @click="sendMessages">Chatear</v-btn>
      <v-btn
        v-if="actualUserRole.role == 'admin'"
        depressed
        small
        color="green"
        class="toStock-reservedProduct"
        @click="toStockFunction(reservedProduct)"
      >Disponible</v-btn>
      <v-btn
        v-if="actualUserRole.role == 'admin'"
        depressed
        small
        color="orange"
        class="to-selled-reservedProduct"
        @click="toSelledFunction(reservedProduct)"
      >Vendido</v-btn>
    </div>
  </v-card>
</template>

<script>
export default {
  name: 'EditreservedProductsState',
  components: {},
  props: {
    //showMessage: Boolean,
    reservedProduct: {
      propType: Array,
      required: true
    },
    actualUserRole: String
  },

  data() {
    return {}
  },

  mounted() {},

  methods: {
    toStockFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.reservedProduct.name}
         a Disponible ?`
      )
      if (r == true) {
        this.toStockreservedProduct()
      }
    },
    toStockreservedProduct() {
      this.$emit(
        'to-stock-reservedProduct-event',
        this.reservedProduct.idproduct,
        this.reservedProduct.idReservation,
        this.reservedProduct.promos
      )
    },
    toSelledFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.reservedProduct.name}
         a Vendido ?`
      )
      if (r == true) {
        this.rejectreservedProduct()
      }
    },
    rejectreservedProduct() {
      this.$emit(
        'to-selled-reservedProduct-event',
        this.reservedProduct.idproduct,
        this.reservedProduct.idReservation,
        this.reservedProduct.promos
      )
    },
    goToThisUserProfil() {
      this.$emit('go-to-user-profil', this.reservedProduct.iduser)
    },
    sendMessages() {
      this.$emit('go-to-messages', this.reservedProduct.iduser)
    }
  }
}
</script>

<style scoped>
/* #reservedProduct_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
} */
img {
  width: 13rem;
  height: 13rem;
}
</style>
